package com.kym.service.miniapp;

import com.kym.entity.miniapp.WashOrder;
import com.kym.entity.miniapp.queryParams.DeviceQueryParams;
import com.kym.entity.miniapp.queryParams.WashOrderQueryParams;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 洗车订单表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-09-11
 */
public interface WashOrderService extends MyBaseService<WashOrder> {

    String createOrder(DeviceQueryParams params);

    void closeOrder(DeviceQueryParams params);

    WashOrder queryOrder(WashOrderQueryParams params);
}
